=== debian/watch ===
version=3
# uscan can't handle redirection, so a workround using downloadurlmangle...
# http://ftp.and.org/ustr/latest/
#   => http://ftp.and.org/ustr/1.0.4/ustr-1.0.4.tar.gz
opts=downloadurlmangle=s|/latest/ustr-(\d+(?:\.\d+)*)|/$1/ustr-$1| \
    http://www.and.org/ustr/latest/ ustr-(\d+(?:\.\d+)*)\.tar\.gz
